function cmp_files_visvdp( file_name_target, file_name_mask, out_base_name, options )

target = pfs_read_luminance( file_name_target );
mask = pfs_read_luminance( file_name_mask );

if( ~exist( 'options' ) )
    options = {};
end
options = cat( 2, options, { 'peak-contrast', 0.0025 } );

% for modelfest only!!
%vdpout = visvdp( mask, target, 'pix-per-deg', 120, 'peak-contrast', 0.0025, 'view-dist', 2 );

%[vis_fl vis_da] = visvdp( target, mask, 'pix-per-deg', 60, 'peak-contrast', 0.005, 'view-dist', 2 );
[vis_loss vis_ampl vis_rev] = visvdp( target, mask, options );

%pfs_write_luminance( [out_base_name '_target.exr'], target );
band = { 'hp', 'lp' };
for k=1:2
pfs_write_luminance( [out_base_name '_loss_' band{k} '.exr'], vis_loss{k} );
pfs_write_luminance( [out_base_name '_ampl_' band{k} '.exr'], vis_ampl{k} );
pfs_write_luminance( [out_base_name '_rev_' band{k} '.exr'], vis_rev{k});
end

% Combined map
% result = [out_base_name '.png'];
% vdpvis2(target, vis_fl{1}, vis_fl{2}, vis_da{1}, vis_da{2}, result);

%visualize_old4maps( out_base_name, target, vis_fl, vis_da );

end
