function S = csf_normalized( ro, l_adapt )
% A simplified and normalized CSF, based on VDP model

ro_peak = peak_sens_freq( l_adapt );

S = zeros(size(ro));

sigma = 0.61059;
beta = 2.362;
S(ro<ro_peak) = exp( -abs(ro(ro<ro_peak)/ro_peak-1).^beta/(2*sigma^beta) );

sigma = 0.95127;
beta = 1.1453;
S(ro>=ro_peak) = exp( -abs(ro(ro>=ro_peak)/ro_peak-1).^beta/(2*sigma^beta) );

end