function P = psychometric_func( contrast, slope, base_prob )
if( ~exist('base_prob', 'var') )
    base_prob = 0.75;
end
a = (-log(1-base_prob)).^(1/slope);
P = 1.0 - exp( -(abs(a*contrast)).^slope);
end
