function T = tvi_daly_csf( L_adapt )
% t.v.i. function found as peak of Daly's CSF
%
% T = tvi_daly_csf( L_adapt )
  freq = logspace(-1, 2, 40 )';
  csf = csf_daly( freq*ones(size(L_adapt)), 0, ones(size(freq))*L_adapt, 10 );
  peaks = max( csf );
  T = L_adapt ./ peaks;
end
